[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMapObject.KeyData

Access to data based on key

## Declaration

Source position: fgl.pp line 384

`public property TFPGMapObject.KeyData[AKey: TKey] : TData read GetKeyData write PutKeyData; default;`

## Description

KeyData allows access to the data based on the key value AKey. The data can be read and written. When writing, writing using an existing key will overwrite the current data. If it does not exist yet, it will be created. When reading, if the key is not present, an EListError will be raised.

## Errors

If the key does not exist, an EListError exception will be raised.

## See also

TFPSList.Count |  | Current element count
TFPGMapObject.Keys |  | Indexed access to the keys in the list.
TFPGMapObject.Data |  | Indexed access to the data in the list